import math

n, m, k = map(int, input().split())

# Рассчитываем количество фонарей вдоль длины и ширины площади
lanterns_along_length = math.ceil(n / k)
lanterns_along_width = math.ceil(m / k)

# Вычисляем общее количество фонарей
total_lanterns = lanterns_along_length * lanterns_along_width

print(total_lanterns)
